<?php
$sharedDataDir = '/files/SharedData';

$arrayDevice = json_decode(file_get_contents('..'.$sharedDataDir.'/jsonDevice'), true);
$arraySubIr  = json_decode(file_get_contents('..'.$sharedDataDir.'/jsonSubIr'), true);
$arrayButton = json_decode(file_get_contents('..'.$sharedDataDir.'/jsonButton'), true);
$arrayIrCode = json_decode(file_get_contents('..'.$sharedDataDir.'/jsonIrCode'), true);

echo '<div style="word-wrap: break-word;">';
foreach ($arrayIrCode as $arrayIrCode["id"]) {
	$IrCode  = $arrayIrCode["id"];
	$code    = implode(array_map("bin2hex", array_map("chr", $IrCode["code"])));
	$Button  = $arrayButton[search($arrayButton,$IrCode["buttonId"])];
	$SubIr   = $arraySubIr[search($arraySubIr,$Button["subIRId"])];
	$Device  = $arrayDevice[search($arrayDevice,$SubIr["deviceId"])];
	$iconDir = $sharedDataDir.'/IrData/'.$Device["mac"].'/';
	
	$text = "<br><tt><b>".$Device["name"].": ".$SubIr["name"];
	if ($Button["name"]) {$text = $text." (".$Button["name"].")";}
	$text = $text."</b>, код №".$IrCode["buttonId"].":<br>".$code."</tt><br><br>";
	
	$icon = "";
	if (($Button["background"]) && (file_exists('..'.$iconDir.$Button["background"]))) {
		$icon = '<img src="'.$iconDir.$Button["background"].'" height="40">'.$icon;
	}
	if (($SubIr["icon"]) && (file_exists('..'.$iconDir.$SubIr["icon"]))) {
		$icon = '<img src="'.$iconDir.$SubIr["icon"].'" height="40">'.$icon;
	}
	
	echo $icon.$text;
}
echo '</div>';

function search($array,$id) {
	$i=0;
	$y=count($array);
	do 
		if ($array[$i]['id'] == $id) return $i;
	while (++$i<$y);
}
?>